nagios_command 'notify-host-by-email' do
	options 'command_line' => <<~EOF
		/usr/bin/printf "%b" "***** Nagios *****\\n\\n\\
		Notification Type: $NOTIFICATIONTYPE$\\n\\
		Host: $HOSTNAME$\\n\\
		State: $HOSTSTATE$\\n\\
		Address: $HOSTADDRESS$\\n\\
		Info: $HOSTOUTPUT$\\n\\n\\
		Date/Time: $LONGDATETIME$\\n"\\
		| /usr/bin/mail -s "** $NOTIFICATIONTYPE$ Host Alert: $HOSTNAME$ is $HOSTSTATE$ **"\\
		$CONTACTEMAIL$'
		EOF
end

nagios_command 'notify-service-by-email' do
	options 'command_line' => <<~EOF
		/usr/bin/printf "%b" "***** Nagios *****\\n\\n\\
		Notification Type: $NOTIFICATIONTYPE$\\n\\n\\
		Service: $SERVICEDESC$\\n\\
		Host: $HOSTALIAS$\\n\\
		Address: $HOSTADDRESS$\\n\\
		State: $SERVICESTATE$\\n\\n\\
		Date/Time: $LONGDATETIME$\\n\\n\\
		Additional Info:\\n\\n\\
		$SERVICEOUTPUT$"\\
		| /usr/bin/mail -s "** $NOTIFICATIONTYPE$ Service Alert: $HOSTALIAS$/$SERVICEDESC$ is $SERVICESTATE$ **"\\
		$CONTACTEMAIL$
	EOF
end

nagios_command 'check-host-alive' do
	options 'command_line' => '$USER1$/check_ping -H $HOSTADDRESS$ -w 3000.0,80% -c 5000.0,100% -p 5'
end
nagios_command 'check_local_disk' do
	options 'command_line' => '$USER1$/check_disk -w $ARG1$ -c $ARG2$ -p $ARG3$'
end
nagios_command 'check_local_load' do
	options 'command_line' => '$USER1$/check_load -w $ARG1$ -c $ARG2$'
end
nagios_command 'check_local_procs' do
	options 'command_line' => '$USER1$/check_procs -w $ARG1$ -c $ARG2$ -s $ARG3$'
end
nagios_command 'check_local_users' do
	options 'command_line' => '$USER1$/check_users -w $ARG1$ -c $ARG2$'
end
nagios_command 'check_local_swap' do
	options 'command_line' => '$USER1$/check_swap -w $ARG1$ -c $ARG2$'
end
nagios_command 'check_local_mrtgtraf' do
	options 'command_line' => '$USER1$/check_mrtgtraf -F $ARG1$ -a $ARG2$ -w $ARG3$ -c $ARG4$ -e $ARG5$'
end
nagios_command 'check_ftp' do
	options 'command_line' => '$USER1$/check_ftp -H $HOSTADDRESS$ $ARG1$'
end
nagios_command 'check_ftp_expect' do
	options 'command_line' => '$USER1$/check_ftp -H $HOSTADDRESS$ $ARG1$ $ARG2$ $ARG3$'
end
nagios_command 'check_biexport' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_biexport_files'
end
nagios_command 'check_hpjd' do
	options 'command_line' => '$USER1$/check_hpjd -H $HOSTADDRESS$ $ARG1$'
end
nagios_command 'check_snmp' do
	options 'command_line' => '$USER1$/check_snmp -H $HOSTADDRESS$ $ARG1$'
end
nagios_command 'check_http' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ $ARG1$'
end
nagios_command 'http_site_check_port' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ -u $ARG2$ -p $ARG3$ -c $ARG4$ -w $ARG5$ -f follow'
end
nagios_command 'check_http_host' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -t 15 -u $ARG1$'
end
nagios_command 'check_http_port_path' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -p $ARG1$ -u $ARG2$ -c $ARG3$ -w $ARG4$'
end
nagios_command 'check_http_simple' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ -u $ARG2$'
end
nagios_command 'check_http_basic_auth' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -a $ARG2$ -s $ARG3$ -c $ARG4$ -w $ARG5$'
end
nagios_command 'check_https_basic_auth' do
	options 'command_line' => '$USER1$/check_http -S -I $HOSTADDRESS$ -H $ARG1$ -a $ARG2$ -s $ARG3$ -c $ARG4$ -w $ARG5$'
end
nagios_command 'check_http_basic_auth_port' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -a $ARG2$ -p$ARG3$ -s $ARG4$ -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_http_basic_auth_port_nrpe' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 20 -u -c check_http_basic_auth_port -a $ARG1$ $ARG2$ $ARG3$ $ARG4$ $ARG5$ $ARG6$'
end
nagios_command 'check_http_basic_url' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ -a $ARG3$ -s $ARG4$ -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_http_basic_url_port' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ -p $ARG3$ -a $ARG4$ -s $ARG5$ -c $ARG6$ -w $ARG7$'
end
nagios_command 'check_http_url' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ -s $ARG3$ -c $ARG4$ -w $ARG5$'
end
nagios_command 'check_https_url' do
	options 'command_line' => '$USER1$/check_http -S -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ -s $ARG3$ -c $ARG4$ -w $ARG5$'
end
nagios_command 'check_search' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ -a $ARG3$ -s $ARG4$ -c $ARG5$ -w $ARG6$ -f follow -t 20'
end
nagios_command 'check_search_nrpe' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 20 -u -c check_search -a $ARG1$ $ARG2$ $ARG3$ $ARG4$ $ARG5$ $ARG6$'
end
nagios_command 'check_search_port' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ -p $ARG3$ -a $ARG4$ -s $ARG5$ -c $ARG6$ -w $ARG7$ -f follow -t 20'
end
nagios_command 'check_search_port_nrpe' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 20 -u -c check_search_port -a $ARG1$ $ARG2$ $ARG3$ $ARG4$ $ARG5$ $ARG6$ $ARG7$'
end
nagios_command 'check_home' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$  -c $ARG2$ -w $ARG3$ -f follow -t 20'
end
nagios_command 'check_mysql_cmdlinecred' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_mysql -H \'$HOSTADDRESS$\' -u \'$ARG1$\' -p \'$ARG2$\''
end
nagios_command 'check_mysql_replication_status' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_mysql -S -H \'$HOSTADDRESS$\' -u \'$ARG1$\' -f \'/etc/nagios/$ARG2$\' -w $ARG3$ -c $ARG4$'
end
nagios_command 'check_mysql_slave' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_mysql_slave.sh -H $HOSTADDRESS$ -P $ARG1$ -u $ARG2$ -p $ARG3$ -w $ARG4$ -c $ARG5$'
end
nagios_command 'check_ssh' do
	options 'command_line' => '$USER1$/check_ssh $ARG1$ $HOSTADDRESS$'
end
nagios_command 'check_dhcp' do
	options 'command_line' => '$USER1$/check_dhcp $ARG1$'
end
nagios_command 'check_ping' do
	options 'command_line' => '$USER1$/check_ping -H $HOSTADDRESS$ -w $ARG1$ -c $ARG2$ -p 5'
end
nagios_command 'check_pop' do
	options 'command_line' => '$USER1$/check_pop -H $HOSTADDRESS$ $ARG1$'
end
nagios_command 'check_imap' do
	options 'command_line' => '$USER1$/check_imap -H $HOSTADDRESS$ $ARG1$'
end
nagios_command 'check_smtp' do
	options 'command_line' => '$USER1$/check_smtp -H $HOSTADDRESS$ $ARG1$'
end
nagios_command 'check_tcp' do
	options 'command_line' => '$USER1$/check_tcp -H $ARG1$ -p $ARG2$'
end
nagios_command 'check_udp' do
	options 'command_line' => '$USER1$/check_udp -H $HOSTADDRESS$ -p $ARG1$ $ARG2$'
end
nagios_command 'check_nt' do
	options 'command_line' => '$USER1$/check_nt -H $HOSTADDRESS$ -p 12489 -v $ARG1$ $ARG2$'
end
nagios_command 'process-host-perfdata' do
	options 'command_line' => '/usr/bin/printf "%b" "$LASTHOSTCHECK$\t$HOSTNAME$\t$HOSTSTATE$\t$HOSTATTEMPT$\t$HOSTSTATETYPE$\t$HOSTEXECUTIONTIME$\t$HOSTOUTPUT$\t$HOSTPERFDATA$\n" >> /usr/local/nagios/var/host-perfdata.out'
end
nagios_command 'process-service-perfdata' do
	options 'command_line' => '/usr/bin/printf "%b" "$LASTSERVICECHECK$\t$HOSTNAME$\t$SERVICEDESC$\t$SERVICESTATE$\t$SERVICEATTEMPT$\t$SERVICESTATETYPE$\t$SERVICEEXECUTIONTIME$\t$SERVICELATENCY$\t$SERVICEOUTPUT$\t$SERVICEPERFDATA$\n" >> /usr/local/nagios/var/service-perfdata.out'
end
nagios_command 'check_nrpe_args' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 20 -u -c $ARG1$ -a $ARG2$ $ARG3$ $ARG4$ $ARG5$'
end
nagios_command 'check_nrpe' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 20 -u -c $ARG1$'
end
nagios_command 'check_nrpe_upstart' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -c $ARG1$'
end
nagios_command 'check_nrpe_ewh' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 9 -u -c $ARG1$'
end
nagios_command 'check_ssh_common' do
	options 'command_line' => '$USER1$/check_ssh -p 22 -t 30 $HOSTADDRESS$'
end
nagios_command 'check_dns' do
	options 'command_line' => '$USER1$/check_dns -H $_HOSTDNSHOSTNAME$ -a $_HOSTDNSEXPECTEDRESULT$ -s $HOSTADDRESS$'
end
nagios_command 'check_dns_args' do
	options 'command_line' => '$USER1$/check_dns -H $ARG1$ -a $ARG2$ -s $ARG3$'
end
nagios_command 'check_dns_host' do
	options 'command_line' => '$USER1$/check_dns -H $HOSTNAME$ -a $ARG1$ -s $ARG2$'
end
nagios_command 'check_vm_datastore_seb' do
	options 'command_line' => '$USER1$/check_vmware_api.pl -H $HOSTADDRESS$ -u \'root\' -p \'S@f2ri!1\' -l vmfs -s $ARG1$'
end
nagios_command 'check_vm_datastore_sfo' do
	options 'command_line' => '$USER1$/check_vmware_api.pl -H $HOSTADDRESS$ -u \'root\' -p \'lark3343!\' -l vmfs -s $ARG1$'
end
nagios_command 'check_vm_datastore_bos-02' do
	options 'command_line' => '$USER1$/check_vmware_api.pl -H $HOSTADDRESS$ -u \'root\' -p \'S@f2ri!1\' -l vmfs -s $ARG1$'
end
nagios_command 'check_vm_datastore_bos' do
	options 'command_line' => '$USER1$/check_vmware_api.pl -H $HOSTADDRESS$ -u \'root\' -p \'lark3343!\' -l vmfs -s $ARG1$'
end
nagios_command 'check_vm_host' do
	options 'command_line' => '$USER1$/check_vmware_api.pl -C $ARG1$ -H $ARG2$ -u \'safarijv\vcenter_api\' -p 668BlmCJvZwe -l $ARG3$'
end
nagios_command 'check_vm_cluster' do
	options 'command_line' => '$USER1$/check_vmware_api.pl -H $ARG1$ -C $HOSTNAME$ -u $VCUSER$ -p $VCPASS$ -l $ARG2$'
end
nagios_command 'check_windows_time' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_windows_time -a $ARG1$ $ARG2$ $ARG3$'
end
nagios_command 'check_mem' do
	options 'command_line' => '$USER1$/check_mem  -f -w 80 -c 90 -H $HOSTADDRESS$'
end
nagios_command 'check_http_common' do
	options 'command_line' => '$USER1$/check_http -w 5 -c 10 -H $HOSTADDRESS$'
end
nagios_command 'check_http_common_wport' do
	options 'command_line' => '$USER1$/check_http -p $ARG1$ -w 5 -c 10 -H $HOSTADDRESS$'
end
nagios_command 'check_https' do
	options 'command_line' => '$USER1$/check_http -S -w 5 -c 10 -H $HOSTADDRESS$'
end
nagios_command 'check_https_common' do
	options 'command_line' => '$USER1$/check_http -S -w 5 -c 10 -H $HOSTADDRESS$ -u $ARG1$'
end
nagios_command 'check_https_header' do
	options 'command_line' => '$USER1$/check_http -S -w 5 -c 10 -H $HOSTADDRESS$ -u $ARG1$ -k $ARG2$'
end
nagios_command 'check_proxypypi' do
	options 'command_line' => '$USER1$/check_http -w 5 -c 10 -H $HOSTADDRESS$ -p 8000'
end
nagios_command 'check_vhttp_5s' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -t 5 -u $ARG2$ -f follow -c 5 -w 5'
end
nagios_command 'check_vhttp_ip' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ -u $ARG2$ -f follow -t 30'
end
nagios_command 'check_vhttp_manual' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -t $ARG2$ -u $ARG3$ -s $ARG4$ -f follow -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_vhttp_manual_host_ssl' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ -t $ARG2$ -u $ARG3$ -s $ARG4$ -f follow -c $ARG5$ -w $ARG6$ -S'
end
nagios_command 'check_vhttps' do
	options 'command_line' => '$USER1$/check_http --ssl -I $ARG1$ -H $ARG2$ -t $ARG3$ -u $ARG4$ -f follow -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_vhttp_cname' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ -t $ARG2$ -u $ARG3$ -s $ARG4$ -f follow -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_vhttp_flexible' do
	options 'command_line' => '$USER1$/check_http -I $ARG1$ -H $ARG2$ -t $ARG3$ -u $ARG4$ -s $ARG5$ -f follow -c $ARG6$ -w $ARG7$'
end
nagios_command 'check_vhttp' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -t 20 -u $ARG2$ -f follow'
end
nagios_command 'check_vhttp_expect' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ -e $ARG2$'
end
nagios_command 'check_solr' do
	options 'command_line' => '$USER1$/check_solr.py -H $HOSTADDRESS$ -p $ARG1$ -W solr -P -w $ARG2$ -c $ARG3$'
end
nagios_command 'check_solr_pid' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_solr_pid -a $ARG1$ $ARG2$ $ARG3$'
end
nagios_command 'check_memcached' do
	options 'command_line' => '$USER1$/check_memcached.pl -H $HOSTADDRESS$ -s -R -T -w -U -p $ARG1$'
end
nagios_command 'check_nfs_share' do
	options 'command_line' => '$USER1$/check_nfs_share -H $HOSTADDRESS$'
end
nagios_command 'CheckMEM' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -p 5666 -c CheckMEM -a MaxWarn=$ARG1$% MaxCrit=$ARG2$% ShowAll type=physical type=page type=virtual'
end
nagios_command 'CheckMEM_noPhy' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -p 5666 -c CheckMEM -a MaxWarn=$ARG1$% MaxCrit=$ARG2$% ShowAll type=page type=virtual'
end
nagios_command 'CheckProcStateWin' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -p 5666 -c CheckProcState -a ShowAll -a $ARG1$ $ARG2$ $ARG3$ $ARG4$ $ARG5$ $ARG6$ $ARG7$ $ARG8$ $ARG9$ $ARG10$'
end
nagios_command 'check_equallogic' do
	options 'command_line' => '$USER1$/check_equallogic -H $HOSTADDRESS$ -C $ARG1$ -t $ARG2$ $ARG3$'
end
nagios_command 'check_ntp_peer' do
	options 'command_line' => '$USER1$/check_ntp_peer -H $HOSTADDRESS$ -w $ARG1$ -c $ARG2$'
end
nagios_command 'check_magpie' do
	options 'command_line' => '$USER1$/check_magpie.py $ARG1$ $ARG2$ $ARG3$ $ARG4$'
end
nagios_command 'check_chef_client_last_run_status' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_chef_client_last_run_status.py $HOSTNAME$'
end
nagios_command 'check_chef_client_status' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_chef_client_status'
end
nagios_command 'check_postgres_replication' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_postgres_replication.pl --master $ARG1$ --slave $HOSTNAME$'
end
nagios_command 'check_bvd_is_up' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_bvd_is_up.py'
end
nagios_command 'check_lockfile_age' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_lockfile_age.py'
end
nagios_command 'check_mounts' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_mounts.py'
end
nagios_command 'check_rbl' do
	options 'command_line' => '$USER1$/check_rbl $ARG1$'
end
nagios_command 'check_ssl_cert' do
	options 'command_line' => '$USER1$/check_http -H $ARG1$ --ssl -C 14 -f follow'
end
nagios_command 'check_magpie_services' do
	options 'command_line' => '$USER1$/check_magpie_services.py'
end
nagios_command 'check_kite_services' do
	options 'command_line' => '/usr/bin/python $USER1$/check_kite_services.py $HOSTNAME$'
end
nagios_command 'check_solr_records' do
	options 'command_line' => '$USER1$/check_solr_records.py $ARG1$ $ARG2$  #arg2 is expected records and arg1 is mbeans url'
end
nagios_command 'check_win_snmp' do
	options 'command_line' => '$USER1$/check_disk_snmp.pl -H $HOSTADDRESS$ -s $ARG1$ -d $ARG2$ -w $ARG3$ -c $ARG4$ '
end
nagios_command 'check_win_snmp_service' do
	options 'command_line' => '$USER1$/./check_snmp_win.pl -H $HOSTADDRESS$ -C $ARG1$ -n $ARG2$  -N $ARG3$'
end
nagios_command 'check_pri' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -c check_pri '
end
nagios_command 'check_uwsgi_workers' do
	options 'command_line' => '$USER1$/check_uwsgi_workers.py $HOSTADDRESS$ $ARG1$ $ARG2$'
end
nagios_command 'restart_service' do
	options 'command_line' => '$USER1$/eventhandlers/restart_service  $SERVICESTATE$ $SERVICESTATETYPE$ $SERVICEATTEMPT$ $HOSTADDRESS$ $ARG1$ $SERVICEDESC$'
end
nagios_command 'check_srx_vpn' do
	options 'command_line' => '$USER1$/php_2phases.php $ARG1$ $HOSTADDRESS$ $ARG2$ $ARG3$'
end
nagios_command 'check_srx' do
	options 'command_line' => '$USER1$/check_juniper_srx -H $HOSTADDRESS$ -U $ARG1$ -C $ARG2$'
end
nagios_command 'check_idrac' do
	options 'command_line' => '$USER1$/idrac_2.2rc4 -H $ARG1$ -v2c -c $ARG2$ -w $ARG3$'
end
nagios_command 'check_ad ' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTNAME$ -c check_activedir -t TIMEOUT -a services'
end
nagios_command 'check_rabbitmq_aliveness' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_rabbitmq_aliveness -H $HOSTNAME$'
end
nagios_command 'check_rabbitmq_cluster' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_rabbitmq_cluster -H $HOSTNAME$ -c $ARG1$'
end
nagios_command 'check_rabbitmq_server' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_rabbitmq_server -H $HOSTNAME$'
end
nagios_command 'check_rabbitmq_watermark' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_rabbitmq_watermark -H $HOSTNAME$'
end
nagios_command 'http_inverse_content_check' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$  -u $ARG2$ -a $ARG3$ --invert-regex -r  $ARG4$ -f follow -t 20 -m=5000'
end
nagios_command 'check_redis_query' do
	options 'command_line' => '/usr/lib/nagios/plugins/check_redis.pl --hostname=$HOSTADDRESS$ --port=$ARG1$ --database=$ARG2$ --query=$ARG3$'
end
nagios_command 'http_content_check' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -u $ARG1$ -w $ARG2$ -c $ARG3$ -s $ARG4$ -s $ARG5$ -s $ARG6$ -f follow -t 20 -m=5000'
end
nagios_command 'http_content_check_8080' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -p 8080 -u $ARG1$ -w $ARG2$ -c $ARG3$ -s $ARG4$ -s $ARG5$ -s $ARG6$ -f follow -t 20 -m=5000'
end
nagios_command 'http_content_check_8081' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -p 8081 -u $ARG1$ -w $ARG2$ -c $ARG3$ -s $ARG4$ -s $ARG5$ -s $ARG6$ -f follow -t 20 -m=5000'
end
nagios_command 'http_content_check_22002' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -p 22002 -u $ARG1$ -w $ARG2$ -c $ARG3$ -s $ARG4$ -s $ARG5$ -s $ARG6$ -f follow -t 20 -m=5000'
end
nagios_command 'https_content_check' do
	options 'command_line' => '$USER1$/check_http -S -H $HOSTADDRESS$ -u $ARG1$ -w $ARG2$ -c $ARG3$ -s $ARG4$ -f follow -t 20 -m=5000'
end
nagios_command 'https_content_check_basic_auth' do
	options 'command_line' => '$USER1$/check_http -S -H $HOSTADDRESS$ -a $ARG1$ -u $ARG2$ -s $ARG3$  -w $ARG4$ -c $ARG5$ -f follow -t 20 -m=5000'
end
nagios_command 'https_content_check_basic_auth_single_node' do
	options 'command_line' => '$USER1$/check_http -S -H $HOSTADDRESS$ -a $ARG1$ -u $ARG2$ -s $ARG3$  -w $ARG4$ -c $ARG5$ -k "Cookie: ServerID=$ARG6$" -s $ARG7$ -f follow -t 20 -m=5000'
end
nagios_command 'https_content_check_basic_auth_single_node_bot' do
	options 'command_line' => '$USER1$/check_http -S -H $HOSTADDRESS$ -a $ARG1$ -u $ARG2$ -s $ARG3$  -w $ARG4$ -c $ARG5$ -k "Cookie: ServerID=$ARG6$" -A monitoring -s $ARG7$ -f follow -t 20 -m=5000'
end
nagios_command 'http_negate_content_check' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$  --invert-regex -r  $ARG2$ -f follow -t 20 -m=5000'
end
nagios_command 'https_negate_content_check' do
	options 'command_line' => '$USER1$/check_http -S -I $HOSTADDRESS$ -H $ARG1$  --invert-regex -r  $ARG2$ -f follow -t 20 -m=5000'
end
nagios_command 'http_negate_content_check_basic_auth' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -a $ARG2$ --invert-regex -r $ARG3$ -f follow -t 20 -m=5000'
end
nagios_command 'https_negate_content_check_basic_auth' do
	options 'command_line' => '$USER1$/check_http -S -I $HOSTADDRESS$ -H $ARG1$ -a $ARG2$ --invert-regex -r $ARG3$ -f follow -t 20 -m=5000'
end
nagios_command 'http_negate_content_check_port' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$  --invert-regex -r  $ARG2$ -p $ARG3$ -f follow -t 20 -m=5000'
end
nagios_command 'http_negate_content_check_port_nrpe' do
	options 'command_line' => '$USER1$/check_nrpe -H $HOSTADDRESS$ -t 20 -u -c http_negate_content_check_port -a $ARG1$ $ARG2$ $ARG3$'
end
nagios_command 'https_check_api' do
	options 'command_line' => '$USER1$/check_http -S -H $ARG1$ -u $ARG2$ -a $ARG3$ -w $ARG4$ -c $ARG5$ -s $ARG6$ -t 20 -e $ARG7$'
end
nagios_command 'http_check_api' do
	options 'command_line' => '$USER1$/check_http -I $ARG1$ -p $ARG2$ -u $ARG3$ -a $ARG4$ -w $ARG5$ -c $ARG6$ -s $ARG7$ -t 20 -e $ARG8$'
end
nagios_command 'check_pf_tomcat' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -p 8080 -H $ARG1$ -u $ARG2$ -a $ARG3$ -s $ARG4$ -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_pf_tomcat_failopen' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -p 8080 -H $ARG1$ -u $ARG2$ -a $ARG3$ --invert-regex -r $ARG4$ -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_jms_queue' do
	options 'command_line' => '$USER1$/check_http -I $HOSTADDRESS$ -H $ARG1$ -u $ARG2$ --invert-regex -r $ARG3$ -c $ARG4$ -w $ARG5$'
end
nagios_command 'http_web_check' do
	options 'command_line' => '$USER1$/check_http -H $HOSTADDRESS$ -u $ARG1$ -w $ARG2$ -c $ARG3$ -P $ARG4$ -P $ARG5$ -P $ARG6$ -f follow -t 20 -m=5000'
end
nagios_command 'http_content_search' do
	options 'command_line' => '/usr/lib64/nagios/plugins/check_http -H $HOSTADDRESS$ -u $ARG1$ -a $ARG2$ -w $ARG3$ -c $ARG4$'
end
nagios_command 'http_homepage_check' do
	options 'command_line' => '/usr/lib64/nagios/plugins/check_http -u $ARG1$ -s $ARG2$'
end
nagios_command 'http_sitegen_check' do
	options 'command_line' => '/usr/lib64/nagios/plugins/check_http -H $ARG1$ -u $ARG2$ -s $ARG3$ -w $ARG4$ -c $ARG5$'
end
nagios_command 'http_site_check' do
	options 'command_line' => '/usr/lib64/nagios/plugins/check_http -u $ARG1$ -c $ARG2$ -w $ARG3$'
end
nagios_command 'check_staging_auth' do
	options 'command_line' => '$USER1$/check_http -f follow -H $ARG1$ -a $ARG2$ -s $ARG3$ -c $ARG4$ -w $ARG5$ -f follow'
end
nagios_command 'check_loader_auth' do
	options 'command_line' => '$USER1$/check_http -f follow -H $ARG1$ -u $ARG2$ -a $ARG3$ -s $ARG4$ -c $ARG5$ -w $ARG6$'
end
nagios_command 'check_http_auth_test' do
	options 'command_line' => '$USER1$/check_http -f follow -H $ARG1$ -u $ARG2$ -a $ARG3$ -s $ARG4$ -c $ARG5$ -w $ARG6$'
end
nagios_command 'tomcat_memory' do
	options 'command_line' => '/usr/bin/perl /usr/lib64/nagios/plugins/check_tomcat_stats.pl memory 90 95 $HOSTADDRESS$ $ARG1$ $ARG2$ $ARG3$ http-8080'
end
nagios_command 'tomcat_error_count' do
	options 'command_line' => '/usr/bin/perl /usr/lib64/nagios/plugins/check_tomcat_stats.pl errorCount 90 95 $HOSTADDRESS$ $ARG1$ $ARG2$ $ARG3$ http-8080'
end
nagios_command 'tomcat_thread_count' do
	options 'command_line' => '/usr/bin/perl /usr/lib64/nagios/plugins/check_tomcat_stats.pl threadCount 90 95 $HOSTADDRESS$ $ARG1$ $ARG2$ $ARG3$ http-8080'
end
nagios_command 'tomcat_thread_busy' do
	options 'command_line' => '/usr/bin/perl /usr/lib64/nagios/plugins/check_tomcat_stats.pl threadBusy 90 95 $HOSTADDRESS$ $ARG1$ $ARG2$ $ARG3$ http-8080'
end
nagios_command 'tomcat_bytes' do
	options 'command_line' => '/usr/bin/perl /usr/lib64/nagios/plugins/check_tomcat_stats.pl bytes 0 0 $HOSTADDRESS$ $ARG1$ $ARG2$ $ARG3$ http-8080'
end

nagios_command 'notify-host-by-slack-bbks-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-bbks'
end
nagios_command 'notify-service-by-slack-bbks-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-bbks'
end
nagios_command 'notify-host-by-slack-bios-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-bios'
end
nagios_command 'notify-service-by-slack-bios-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-bios'
end
nagios_command 'notify-host-by-slack-brill-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-brill'
end
nagios_command 'notify-service-by-slack-brill-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-brill'
end
nagios_command 'notify-host-by-slack-ck-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ck'
end
nagios_command 'notify-service-by-slack-ck-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ck'
end
nagios_command 'notify-host-by-slack-dg-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-dg'
end
nagios_command 'notify-service-by-slack-dg-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-dg'
end
nagios_command 'notify-host-by-slack-dgsg-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-dgsg'
end
nagios_command 'notify-service-by-slack-dgsg-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-dgsg'
end
nagios_command 'notify-host-by-slack-imf-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-imf'
end
nagios_command 'notify-service-by-slack-imf-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-imf'
end
nagios_command 'notify-host-by-slack-jns-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-jns'
end
nagios_command 'notify-service-by-slack-jns-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-jns'
end
nagios_command 'notify-host-by-slack-djoef-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-djoef'
end
nagios_command 'notify-service-by-slack-djoef-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-djoef'
end
nagios_command 'notify-host-by-slack-mup-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-mup'
end
nagios_command 'notify-service-by-slack-mup-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-mup'
end
nagios_command 'notify-host-by-slack-ops-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ops'
end
nagios_command 'notify-service-by-slack-ops-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ops'
end
nagios_command 'notify-host-by-slack-oup-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-oup'
end
nagios_command 'notify-service-by-slack-oup-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-oup'
end
nagios_command 'notify-host-by-slack-pf-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-pubfactory'
end
nagios_command 'notify-service-by-slack-pf-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-pubfactory'
end
nagios_command 'notify-host-by-slack-hort-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-hort'
end
nagios_command 'notify-service-by-slack-hort-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-hort'
end
nagios_command 'notify-host-by-slack-harborside-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-harborside'
end
nagios_command 'notify-service-by-slack-harborside-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-harborside'
end
nagios_command 'notify-host-by-slack-human-kinetics-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-human-kinetics'
end
nagios_command 'notify-service-by-slack-human-kinetics-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-human-kinetics'
end
nagios_command 'notify-host-by-slack-nctm-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-nctm'
end
nagios_command 'notify-service-by-slack-nctm-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-nctm'
end
nagios_command 'notify-host-by-slack-nephro-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-nephro'
end
nagios_command 'notify-service-by-slack-nephro-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-nephro'
end
nagios_command 'notify-host-by-slack-ak-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ak'
end
nagios_command 'notify-service-by-slack-ak-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ak'
end
nagios_command 'notify-host-by-slack-ashp-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ashp'
end
nagios_command 'notify-service-by-slack-ashp-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ashp'
end
nagios_command 'notify-host-by-slack-ametsoc-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ametsoc'
end
nagios_command 'notify-service-by-slack-ametsoc-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-ametsoc'
end
nagios_command 'notify-host-by-slack-ajtmh-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-astmh'
end
nagios_command 'notify-service-by-slack-ajtmh-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-astmh'
end
nagios_command 'notify-host-by-slack-avma-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-avma'
end
nagios_command 'notify-service-by-slack-avma-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-avma'
end
nagios_command 'notify-host-by-slack-apma-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-apma'
end
nagios_command 'notify-service-by-slack-apma-room' do
	options 'command_line' => '/usr/local/bin/slack_nagios.pl -field slack_channel=#pf-apma'
end

nagios_command 'notify-service-by-pagerduty' do
	options 'command_line'     => '/usr/share/pdagent-integrations/bin/pd-nagios -n service -k $CONTACTPAGER$ -t "$NOTIFICATIONTYPE$" -f SERVICEDESC="$SERVICEDESC$" -f SERVICESTATE="$SERVICESTATE$" -f HOSTNAME="$HOSTNAME$" -f HOSTDISPLAYNAME="$HOSTDISPLAYNAME$" -f SERVICEDISPLAYNAME="$SERVICEDISPLAYNAME$" -f SERVICEPROBLEMID="$SERVICEPROBLEMID$" -f SERVICEOUTPUT="$SERVICEOUTPUT$"'
end

nagios_command 'notify-host-by-pagerduty' do
	options 'command_line'     => '/usr/share/pdagent-integrations/bin/pd-nagios -n host -k $CONTACTPAGER$ -t "$NOTIFICATIONTYPE$" -f HOSTNAME="$HOSTNAME$" -f HOSTSTATE="$HOSTSTATE$" -f HOSTDISPLAYNAME="$HOSTDISPLAYNAME$" -f HOSTPROBLEMID="$HOSTPROBLEMID$"'
end

nagios_command 'graphios_perf_host' do
	options 'command_line' => '/bin/mv /var/spool/nagios/graphios/host-perfdata /var/spool/nagios/graphios/host-perfdata.$TIMET$'
end

nagios_command 'graphios_perf_service' do
	options 'command_line' => '/bin/mv /var/spool/nagios/graphios/service-perfdata /var/spool/nagios/graphios/service-perfdata.$TIMET$'
end

nagios_command 'health_check_basic_auth' do
  options 'command_line' => 'health_check.py -u $ARG1$ -un $ARG2$ -p $ARG1$'
end


nagios_command 'health_check' do
	options 'command_line' => 'health_check.py -u $ARG1$'
end
