nagios_host 'brill.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'Brill',
		'address' => 'brill.com',
		'contact_groups' => 'cs_escalation,brill',
		'notes' => 'Brill Live Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/BRIL/pages/124747881/Server+Setup+-+Brill'
end
#------------------------------------------------------------------------------------
# HOMEPAGE
# Checks the homepage of the live brill site and checks for the string 'Brill'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage',
		'check_command' => 'https_content_check_basic_auth!brill:brill2016!/!Brill!10!20!',
		'notes' => 'Brill Live Site',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 1)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: web-31' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-31',
		'check_command' => 'https_content_check_basic_auth_single_node!brill:brill2016!/!Brill!10!20!brill-web-live-31!web-31!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: web-31',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 2)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: web-7' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-7',
		'check_command' => 'https_content_check_basic_auth_single_node!brill:brill2016!/!Brill!10!20!brill-web-live-7!web-7!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: web-7',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 3)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: web-8' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-8',
		'check_command' => 'https_content_check_basic_auth_single_node!brill:brill2016!/!Brill!10!20!brill-web-live-8!web-8!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: web-8',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 4)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: web-13' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-13',
		'check_command' => 'https_content_check_basic_auth_single_node!brill:brill2016!/!Brill!10!20!brill-web-live-13!web-13!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: web-13',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (NODE 5)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: web-14' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-14',
		'check_command' => 'https_content_check_basic_auth_single_node!brill:brill2016!/!Brill!10!20!brill-web-live-14!web-14!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: web-14',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (BOT NODE 1)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: bot node web-9' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-9',
		'check_command' => 'https_content_check_basic_auth_single_node_bot!brill:brill2016!/!Brill!10!20!brill-web-live-bot-9!web-9!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: bot node web-9',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# HOMEPAGE (BOT NODE 2)
# Checks the homepage of the live brill site on the first web node and checks for the string 'Brill'.
#
# Node-specific: YES, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Homepage: bot node web-15' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Homepage: web-15',
		'check_command' => 'https_content_check_basic_auth_single_node_bot!brill:brill2016!/!Brill!10!20!brill-web-live-bot-15!web-15!',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Site: bot node web-15',
		'notes_url' => 'https://brill.com/'
end
#------------------------------------------------------------------------------------
# SEARCH
# Checks the search page of the live brill site and checks for the string 'Browse'.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Search' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Search',
		'check_command' => 'https_content_check_basic_auth!brill:brill2016!/browse?level=parent!Browse!10!20!',
		'notes' => 'Brill Live Site',
		'notes_url' => 'https://brill.com/browse?level=parent'
end
#------------------------------------------------------------------------------------
# VIEW
# Checks a content view page of the live brill site for the book at the URL
# /view/title/34026.  The title of this book is "Contested Communities".  This check
# looks for the string 'Contested' in the response.
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Content View' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Content View',
		'check_command' => 'https_content_check_basic_auth!brill:brill2016!/view/title/34026!Contested!10!20!',
		'notes' => 'Brill Live Site',
		'notes_url' => 'https://brill.com/view/title/34026'
end
#------------------------------------------------------------------------------------
# LOADER
# Checks a loader login page and looks for the string 'Login' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Production Loader' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Production Loader',
		'check_command' => 'check_loader_auth!brill-mgmt-prod.irl.pubfactory.com!/login!brill:brill2016!"Brill Production Management Portal"!20!10',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Live Loader',
		'notes_url' => 'https://brill-mgmt-prod.irl.pubfactory.com/login'
end
#------------------------------------------------------------------------------------
# STAGING
# Checks the staging site homepage and looks for the string 'Brill' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Staging Homepage' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Staging Homepage',
		'check_command' => 'check_staging_auth!staging.brill.com!brill:brill2016!Brill!20!10',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill Staging Site',
		'notes_url' => 'https://staging.brill.com/'
end
#------------------------------------------------------------------------------------
# AMX
# Checks the production amx homepage and looks for the string 'Brill' in the response.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Production AMX' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Production AMX',
		'check_command' => 'check_loader_auth!brill-ams-prod.irl.pubfactory.com!/login!brill:brill2016!AMS!20!10',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill AMX',
		'notes_url' => 'https://brill-ams-prod.irl.pubfactory.com/login'
end
#------------------------------------------------------------------------------------
# FAIL OPEN
# Checks the production homepage and makes sure we're not in fail open by checking
# that the string "Provisional Account" is NOT in the page.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'brill.com-Live Site Fail Open' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'Live Site Fail Open',
		'check_command' => 'http_negate_content_check_basic_auth!beta.brill.com!brill:brill2016!"provisional account"',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill AMX',
		'notes_url' => 'https://brill.com/'
end
#-----------------------------------------------------------------------------------------
# KUP ACTIVEMQ
# Checks to make sure that the ActiveMQ queues at Klopotek are responsive by issuing a
# call to check the size of the BusinessPartner queue (BP2PF) as well as for a 200OK
# response
#
# Node-specific: NO, Pager-level: YES
#------------------------------------------------------------------------------------------
nagios_service 'brill.com-ActiveMQ REST Connection' do
	options 'use' => 'sbo-service-pf',
		'host_name' => 'brill.com',
		'display_name' => 'ActiveMQ REST Connection',
		'check_command' => 'https_check_api!brill-prod-kup.pubfactory.com!/hawtio/jolokia/read/org.apache.activemq:type=Broker,brokerName=localhost,destinationType=Queue,destinationName=BP2PUB/QueueSize!admin:admin!30!60!"destinationName=BP2PUB"!200',
		'contact_groups' => 'admins_email_only,brill',
		'notes' => 'Brill KUP ActiveMQ',
		'notes_url' => 'https://brill-prod-kup.pubfactory.com/hawtio'
end
