nagios_host 'oed.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'OED',
		'address' => 'www.oed.com',
		'contact_groups' => 'cs_escalation,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Homepage' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Homepage',
		'check_command' => 'http_content_check!/!9!15!Privacy!Oxford!Dictionary!',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Search' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Search',
		'check_command' => 'http_content_check!\'/?authRejection=true&url=%2Fsearch%3Fq%3Dcat\'!10!13!Subscriber!Library!login!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Homepage Node ewhserver2564' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Homepage Node ewhserver2564',
		'check_command' => 'http_content_check!/?server=2564!9!15!Privacy!Oxford!Dictionary!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Homepage Node ewhserver2565' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Homepage Node ewhserver2565',
		'check_command' => 'http_content_check!/?server=2565!9!15!Privacy!Oxford!Dictionary!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Homepage Node ewhserver2566' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Homepage Node ewhserver2566',
		'check_command' => 'http_content_check!/?server=2566!9!15!Privacy!Oxford!Dictionary!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Homepage Node ewhserver2567' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Homepage Node ewhserver2567',
		'check_command' => 'http_content_check!/?server=2567!9!15!Privacy!Oxford!Dictionary!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Search 2564' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Search 2564',
		'check_command' => 'http_content_check!\'/?authRejection=true&url=%2Fsearch%3Fserver%3D2564\'!10!13!Subscriber!Library!login!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Search 2565' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Search 2565',
		'check_command' => 'http_content_check!\'/?authRejection=true&url=%2Fsearch%3Fserver%3D2565\'!10!13!Subscriber!Library!login!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Search 2566' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Search 2566',
		'check_command' => 'http_content_check!\'/?authRejection=true&url=%2Fsearch%3Fserver%3D2566\'!10!13!Subscriber!Library!login!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Search 2567' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Search 2567',
		'check_command' => 'http_content_check!\'/?authRejection=true&url=%2Fsearch%3Fserver%3D2567\'!10!13!Subscriber!Library!login!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
nagios_service 'oed.com-Loader' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'oed.com',
		'display_name' => 'Loader',
		'contact_groups' => 'admins_email_only,oup',
		'check_command' => 'check_loader_auth!stg.oed.com!/!oed:dictionaries10!Dictionary!12!9!',
		'notes' => 'OED Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/81461343/OED+Server+Setup+-+Oxford+English+Dictionary'
end
